changeset 1785:74d6173e3390 draft

Shouldn't need to build native-compiler to package system-image.
author Rob Landley <rob@landley.net>
date Sun, 06 Sep 2015 21:33:20 -0500
parents d8ea81a06fdd
children 0787ceb820bf
files system-image.sh
diffstat 1 files changed, 5 insertions(+), 2 deletions(-) [+]
line wrap: on
line diff
--- a/system-image.sh	Sun Sep 06 21:25:56 2015 -0500
+++ b/system-image.sh	Sun Sep 06 21:33:20 2015 -0500
@@ -67,8 +67,11 @@
 
 SYSIMAGE_TYPE=cpio image_filesystem "$BUILD/root-filesystem-$ARCH" \
   "$STAGE_DIR/rootfs" &&
-SYSIMAGE_TYPE=squashfs image_filesystem "$BUILD/native-compiler-$ARCH" \
-  "$STAGE_DIR/toolchain" || dienow
+if [ -d "$BUILD/native-compiler-$ARCH" ]
+then
+  SYSIMAGE_TYPE=squashfs image_filesystem "$BUILD/native-compiler-$ARCH" \
+    "$STAGE_DIR/toolchain" || dienow
+fi
 
 # Build linux kernel for the target